Page MenuHomePhabricator

Fix the use of -j in "make check-all"
ClosedPublic

Authored by kparzysz on Feb 18 2016, 11:17 AM.

Details

Summary

getLLVMCMakeBuildFactory constructs the -jN option incorrectly when running "make check-all".

Example:
http://lab.llvm.org:8011/builders/llvm-hexagon-elf/builds/26076/steps/test-llvm/logs/stdio

make check-all VERBOSE=1 'LIT_ARGS=-v -j 16'
 in dir /var/lib/buildbot/slaves/hexagon-build-03/llvm-hexagon-elf/llvm.obj (timeout 1200 secs)
 watching logfiles {}
 argv: ['make', 'check-all', 'VERBOSE=1', 'LIT_ARGS=-v -j 16']

Specifically, the -jN option is a part of LIT_ARGS, not the make invocation.

Diff Detail

Repository
rL LLVM

Event Timeline

kparzysz updated this revision to Diff 48370.Feb 18 2016, 11:17 AM
kparzysz retitled this revision from to Fix the use of -j in make test.
kparzysz updated this object.
kparzysz added reviewers: gkistanova, dsanders.
kparzysz set the repository for this revision to rL LLVM.
kparzysz added a project: Restricted Project.
kparzysz added a subscriber: llvm-commits.
kparzysz retitled this revision from Fix the use of -j in make test to Fix the use of -j in "make check-all".Feb 18 2016, 11:17 AM
kparzysz edited edge metadata.
gkistanova added inline comments.Feb 19 2016, 4:12 PM
zorg/buildbot/builders/LLVMBuilder.py
218 ↗(On Diff #48370)

This wouldn't work as you expect.
You need to use WithProperties similar to all the other places in this file where the jobs param is used.

kparzysz updated this revision to Diff 48813.Feb 23 2016, 6:24 AM
kparzysz marked an inline comment as done.

Used "WithProperties" to pass the arguments to the build step.

gkistanova accepted this revision.Feb 23 2016, 8:40 AM
gkistanova edited edge metadata.

LGTM

This revision is now accepted and ready to land.Feb 23 2016, 8:40 AM
This revision was automatically updated to reflect the committed changes.